import { getValueByKeys } from "../../utils/index.js";
import { isNumber } from "@pisell/utils";
//#region src/components/table/Table/fields/numberRange/filterUtil/index.ts
function filterUtil_default({ value, key, item }) {
	if (!value || !isNumber(value.min) || !isNumber(value.max)) return true;
	const dataValue = getValueByKeys(item, key);
	if ((value === null || value === void 0 ? void 0 : value.max) >= (value === null || value === void 0 ? void 0 : value.min)) return dataValue >= (value === null || value === void 0 ? void 0 : value.min) && dataValue <= (value === null || value === void 0 ? void 0 : value.max);
	return true;
}
//#endregion
export { filterUtil_default as default };
